---
type: map
mapping:
    "install_repository_dependencies":
        type: bool
        default: false
    "install_resolver_dependencies":
        type: bool
        default: false
    "install_tool_dependencies":
        type: bool
        default: false
    "tools":
        type: seq
        sequence:
            - type: map
              mapping:
                "name":
                    type: str
                    required: true
                "owner":
                    type: str
                    required: true
                "tool_panel_section_label":
                    type: str
                    enum: [
                        'Get Data', 'Send Data', 'Collection Operations', 'Expression Tools',
                        'Text Manipulation', 'Filter and Sort', 'Join, Subtract and Group',
                        'Convert Formats', 'FASTA/FASTQ', 'FASTQ Quality Control', 'SAM/BAM', 'BED',
                        'VCF/BCF', 'Nanopore', 'Operate on Genomic Intervals', 'Fetch Sequences / Alignments',
                        'Annotation', 'Ontology', 'Assembly', 'Mapping', 'Variant Calling', 'Genome editing',
                        'RNA-Seq', 'Peak Calling', 'Epigenetics', 'Phylogenetics', 'Phenotype Association',
                        'Single-cell', 'Get scRNAseq data', 'Seurat', 'SC3', 'Scanpy', 'Monocl3', 'SCMap',
                        'SCCAF', 'Single Cell Utils and Viz', 'Picard', 'deepTools', 'Gemini', 'EMBOSS',
                        'GATK Tools', 'NCBI Blast', 'HiCExplorer', 'RAD-seq', 'GraphClust' , 'MiModD',
                        'Metagenomic Analysis', 'Qiime' , 'Mothur' , 'DNA Metabarcoding' , 'Proteomics', 'Metabolomics',
                        'ChemicalToolBox', 'Statistics', 'Graph/Display Data' , 'Evolution', 'Motif Tools', "Machine Learning",
                        'Test Tools', 'GIS Data Handling', 'Animal Detection on Acoustic Recordings', 'Imaging', 'Virology',
                        'Regional Variation' , 'Genome Diversity' , 'Deprecated', 'Interactive tools', 'Apollo', 'Quality Control',
                        'Multiple Alignments', 'Climate Analysis', 'RNA Analysis', 'Data Managers', 'Extract Features', 'Other Tools',
                        'Species abundance', 'Biodiversity data exploration'
                    ]
                "tool_panel_section_id":
                    type: str
                    enum: [
                        "get_data", "send_data", "collection_operations", "expression_tools", "text_manipulation",
                        "filter_and_sort", "join__subtract_and_group", "convert_formats", "fasta_fastq", "fastq_quality_control",
                        "sam_bam", "bed", "vcf_bcf", "nanopore", "operate_on_genomic_intervals", "fetch_sequences___alignments",
                        "annotation", "ontology", "assembly", "mapping", "variant_calling", "genome_editing", "rna_seq",
                        "peak_calling", "epigenetics", "phylogenetics", "phenotype_association", "single-cell",
                        "hca_sc_get-scrna", "hca_sc_seurat_tools", "hca_sc_sc3_tools", "hca_sc_scanpy_tools",
                        "hca_sc_label_analysis_tools", "hca_sc_garnett_tools", "hca_sc_scpred_tools", "hca_sc_scater_tools", "machine_learning",
                        "hca_sc_monocle3_tools", "hca_sc_scmap_tools", "hca_sc_sccaf_tools", "hca_sc_utils_viz", "picard",
                        "deeptools", "gemini", "emboss", "gatk_tools", "ncbi_blast", "hicexplorer", "rad_seq", "graphclust",
                        "mimodd", "metagenomic_analysis", "qiime", "mothur", "dna_metabarcoding" , "proteomics", "metabolomics", "chemicaltoolbox",
                        "statistics", "graph_display_data", "evolution", "motif_tools", "test_tools", "gis_data_handling", "quality_control",
                        "animal_detection_on_acoustic_recordings", "regional_variation", "genome_diversity", 'apollo', 'imaging', 'virology',
                        "deprecated", "interactivetools", "multiple_alignments", "climate_analysis", "rna_analysis", "species_abundance", "biodiversity_data_exploration",

                        "bed_tools", "galaxyp", "getext", "join_subtract_and_group", "obitools", "dada2", "frogs", "picrust", "motif",
                        "proteomics_data_manipulation", "proteomics_annotations", "proteomics_functional_analysis", "proteomics_pathway_analysis",
                        "rad-seq", "sam_bam_manipulation", "searching_tools", "send", "trinity", "vcf_tools",
                        "metabolomics_annotation_gcms", "metabolomics_annotation_lcms_fiams", "metabolomics_annotation_nmr", "metabolomics_data_handling_all",
                        "metabolomics_fluxomics_all", "metabolomics_getext", "metabolomics_interactivetools", "metabolomics_msms", "metabolomics_preprocessing_fiams", "metabolomics_preprocessing_gcms",
                        "metabolomics_preprocessing_lcms", "metabolomics_preprocessing_nmr", "metabolomics_quality_processing_all", "metabolomics_quality_processing_ms", "metabolomics_statistics_all"
                    ]
                "order":
                    type: seq
                    sequence:
                        - type: str